@echo off
REM @(#) $Id: setupathos.bat,v 1.3 2006/12/05 15:08:56 andy Exp $
REM ****************************************************************************
REM * COPYRIGHT , 1996-2002                                                   *
REM * Bothe, Hans-Joachim  hans.bothe@highqsoft.de                             *
REM * Hofmann, Andreas     andreas.hofmann@highqsoft.de                        *
REM * Schaap, Karst        karst.schaap@highqsoft.de                           *
REM * Schlossborner Weg 6b, D-61479 Glashtten/Taunus, Germany                 *
REM * Phone: +49 6174 62915, Fax: +49 6174 62935, Internet: www.highqsoft.com  *
REM ****************************************************************************
REM *                                                                          *
REM * All Rights Reserved.                                                     *
REM *                                                                          *
REM * This software is the confidential and proprietary information of         *
REM * the authors. It may be freely copied and distributed with the            *
REM * following stipulations:                                                  *
REM *                                                                          *
REM *      o No fee except to recover costs of media and delivery may          *
REM *        be charged for the use or possession of this software.            *
REM *      o Sources to this utility must be made available in machine-        *
REM *        readable form along with the executable form.                     *
REM *      o No portion of this program may be used in any program sold        *
REM *        for a fee or for production purposes.                             *
REM *      o This copyright notice must not be removed.                        *
REM *                                                                          *
REM * All brand names and product names used in this software are trademarks,  *
REM * registered trademarks, or trade names of their respective holders.       *
REM * The authors of this software are not associated with any product or      *
REM * vendor mentioned in the code or documentation.                           *
REM *                                                                          *
REM ****************************************************************************
REM
REM BEGIN DOCUMENTATION
REM ----------------------------------------------------------------------------
REM
REM NAME:
REM      setupathos.bat
REM
REM PURPOSE:
REM      This command procedure does the setup for the Athos system
REM	   under Microsoft Windows operating systems.
REM
REM INDEX KEYWORDS:
REM      <athos setup>, <setup>, <Windows>
REM
REM PACKAGE:
REM      ATHOS
REM
REM CALLING SEQUENCE:
REM      setupathos.bat <athos_root_directory>
REM
REM ARGUMENTS:
REM      athos_root_directory
REM      The Athos root directory.
REM      Example:    
REM          setupathos.bat c:\athos
REM
REM KNOWN RESTRICTIONS AND SIDE EFFECTS:
REM      1. Microsoft Windows specific.
REM      2. Modify this batch file on PCs only (ctrl_m problem).
REM      3. CVS commit this batch file on PC's only (also ctrl_m).
REM      4. Do not use the setupathos.bat without the ".bat"
REM         extension, because then the VAX/VMS procedure
REM         setupathos.com is used and rejected with an error
REM         message.
REM
REM SEE ALSO:
REM      setupathos for setupathos for Bourne Shell setup.
REM      setupathos.com for VAX VMS setup.
REM      setupathos.csh for C Shell setup.
REM      setupathos.ksh for Korn Shell setup.
REM
REM MODIFICATION HISTORY:
REM      $Log: setupathos.bat,v $
REM      Revision 1.3  2006/12/05 15:08:56  andy
REM      Remove some unused quotes.
REM
REM      Revision 1.2  2006/12/05 15:01:29  andy
REM      Use %~dp0 to localize the running folder.
REM
REM      Revision 1.1  2003/07/25 08:23:32  karst
REM      Initial version 3.0.
REM
REM      Revision 2.10  2002/04/25 09:44:10  hans
REM      Suppressed the "echo off" message.
REM
REM      Revision 2.9  2002/04/25 09:37:04  hans
REM      Comments cleaned up. No code changes.
REM
REM      Revision 2.8  2001/08/22 13:01:50  hans
REM      Copyright updated.
REM	
REM      Revision 2.7  2000/01/11 12:26:11  karst
REM      Changed copyright to current.
REM	
REM      Revision 2.6  1999/02/10 08:18:35  karst
REM      Change copyright to current.
REM	
REM      Revision 2.5  1998-12-29 14:49:09+01  karst
REM      Change copyright notice to current.
REM
REM      Revision 2.4  1998-11-02 13:21:25+01  andy
REM      Insert a space behind the REM command.
REM
REM      Revision 2.3  1998-09-18 15:50:13+02  hans
REM      Commited on PC again to avoid ctrl_m problem.
REM
REM      Revision 2.2  1998-09-18 15:39:18+02  hans
REM      Remarks and copyright added.
REM
REM ----------------------------------------------------------------------------
REM END DOCUMENTATION

REM Install error messages for Event Log.
"%~dp0bin\Win32\instsrc" Athos "%~dp0bin\win32\athos.dll" 2

REM Set ATHOS_ROOT and PATH variable for Athos.
"%~dp0bin\Win32\Athossetenv" %~dp0
