echo off
rem  This will run the HQ ODS-UML converter to produce an xmi file for use with UML modeling tools.
rem
rem usage:  genatf
rem usage:  -service is the nameof an athos-service. see athos-documentation
rem usage:  -uml is the fully-qualified path name to the xmi file to be generated 
rem          or to be used as input.
rem usage:  -atf the fully-qualified path name to the atf or atfx file to be generated 
rem          or to be used as input.	
rem in case the source is not an ATF, trhe following optional parameters are required:
rem usage:  -port the Corba name service port optional
rem usage:  -host the Corba name service host optional
rem usage:  -pwd the password of a user authorized to make a connection to the ODS server
rem usage:  -user the name of a user authorized to make a connection to the ODS server
rem usage:  -type the type of connection to make to the server  values are Athos and CORBA.  Default is Athos

setlocal
if /i "%ATHOS_ROOT%"=="" GOTO NOATHOS
if /i "%ATHOS_INI%"=="" GOTO NOINI
if /i "%1"=="" GOTO LEAVE1
if /i "%2"=="" GOTO LEAVE2
set savedir=%CD%
echo %savedir%
set WORKDIR=%~d0%~p0
cd %WORKDIR%

rem The necessary jar files must be in your classpath. This can be set manually or as part of a system environment variable.



REM the next 3 lines is the native invocation
rem set corejars=uml2ods.jar;log4j-1.2.8.jar;jdom.jar;
rem set asamods=HQFramework.jar;HQAthosJava.jar;HQBusMonitor.jar;HQDataManager.jar;HQOdsx.jar;HQResourceMonitor.jar;Avalon.jar;BusMonitor.jar;ResourceMonitor.jar;
rem java  -classpath %corejars%;%asamods% -mx750m -ms750m com.highqsoft.uml.UML2ODS genuml -service XML/mdm -uml c:/uml2ods/mdmTest.xmi

rem the nextline is the typical invocation
java  -jar %WORKDIR%..\jar\uml2ods.jar  genuml -service %1 -uml %savedir%\%2
GOTO FINALLY

:NOATHOS:
   echo The pointer to the athos-libraries is not defined.
   GOTO FINALLY

:NOINI
   echo the pointer to ATHOS_INI is not defined
   GOTO FINALLY

:LEAVE1
   echo  parameter1=servicename is missing . read documentation
:LEAVE2
   echo  parameter2=xmi-filename is missing . read documentation

:FINALLY
endlocal