rem echo off
rem  This will run a utility to produce an html file documenting the differences between 
rem     2 models.  You must supply the connection information for each of the models.  For 
rem     convenience, they are called model A and model B.
rem     Other than the connection  info, the only parameter is for where the output file should be sent
rem
rem usage: ODSdiff 
rem usage:  -service service name for comparison model A 
rem usage:  -atf name of atf file for comparison model A - if the service is an atf file service
rem usage:  -type service type ('athos', 'corba', 'ATF') name for comparison model A 
rem usage:  -pwd authentication parm for comparison model A 
rem usage:  -user  authentication parm for comparison model A 
		
rem usage:  -serviceB service name for comparison model B 
rem usage:  -atfB name of atf file for comparison model B - if the service is an atf file service
rem usage:  -typeB service type ('athos', 'corba', 'ATF') name for comparison model B 
rem usage:  -pwdB authentication parm for comparison model B 
rem usage:  -userB  authentication parm for comparison model B 
rem
rem  port and host apply to a single corba server - which may supply both ods services.
rem usage:  -port  Optional port where the corba name service can be found 
rem usage:  -host  Optional host where the corba name service can be found 
rem
rem usage:  -html  The name of the output html file.  Subdirectories must be valid 
rem

setlocal
if /i "%ATHOS_ROOT%"=="" GOTO NOATHOS
if /i "%ATHOS_INI%"=="" GOTO NOINI
if /i "%1"=="" GOTO LEAVE1
if /i "%2"=="" GOTO LEAVE2
if /i "%3"=="" GOTO LEAVE3
if /i "%4"=="" GOTO LEAVE4
if /i "%5"=="" GOTO LEAVE5
set savedir=%CD%
echo %savedir%
set WORKDIR=%~d0%~p0
cd %WORKDIR%

REM the 3 lines is the native invocation
 set corejars=..\jar\uml2ods.jar;..\jar\log4j-1.2.8.jar;..\jar\jdom.jar;
 set asamods=..\jar\HQFramework.jar;..\jar\HQAthosJava.jar;..\jar\HQBusMonitor.jar;..\jar\HQDataManager.jar;..\jar\HQOdsx.jar;..\jar\HQResourceMonitor.jar;..\jar\Avalon.jar;..\jar\BusMonitor.jar;..\jar\ResourceMonitor.jar;
rem java  -classpath %corejars%;%asamods% -mx750m -ms750m com.highqsoft.uml.ODSdiff ODSdiff -service XML/MDM -serviceB MDM/DB/MDM20070808 -type athos -typeB athos -html c:/temp/MDM_XML_MDM20070808_diff.html

rem the next line is the typical invocation
 java -classpath %corejars%;%asamods% -mx750m -ms750m com.highqsoft.uml.ODSdiff ODSdiff  -service %1 -serviceB %2 -type %3 -typeB %4 -html %savedir%\%5
GOTO FINALLY

:NOATHOS:
   echo The pointer to the athos-libraries is not defined.
   GOTO FINALLY

:NOINI
   echo the pointer to ATHOS_INI is not defined
   GOTO FINALLY

:LEAVE1
   echo  parameter1=service1 is missing . read documentation
   GOTO FINALLY
:LEAVE2
   echo  parameter2=service2 is missing . read documentation
      GOTO FINALLY
:LEAVE3
   echo  parameter3=type of service1 (athos/corba) is missing . read documentation
      GOTO FINALLY
:LEAVE4
   echo  parameter4=type of service2 (athos/corba) is missing . read documentation
      GOTO FINALLY
:LEAVE5
   echo  parameter5 = name of html-file is missing . read documentation

:FINALLY
endlocal

